Issue 67976 - make macro dialog safe against bad macro hierarchy
Summary: make macro dialog safe against bad macro hierarchy
Status: CLOSED FIXED
Alias: None
Product: Draw
Classification: Application
Component: code (show other issues)
Version: OOo 2.0.3
Hardware: All Linux, all
: P3 Trivial (vote)
Target Milestone: OOo 2.1
Assignee: pb
QA Contact: issues@graphics
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-07-31 11:07 UTC by caolanm
Modified: 2007-01-29 08:53 UTC (History)
1 user (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
tests for validity (1.34 KB, patch)
2006-07-31 11:08 UTC, caolanm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description caolanm 2006-07-31 11:07:25 UTC
browsing through macros can crash OOo if there is an invalid hierarchy in an
added macro, attached patch make this safe. similiar to issue 63155
Comment 1 caolanm 2006-07-31 11:08:01 UTC
Created attachment 38142 [details]
tests for validity
Comment 2 pb 2006-08-08 10:08:38 UTC
pb -> cmc: thank you for the patch, I will integrate it after 2.0.4.
Comment 3 pb 2006-10-23 09:18:53 UTC
pb: target set to 2.1.
Comment 4 pb 2006-10-23 09:25:47 UTC
pb: fixed in cws fwk55.
Files changed:
/svx/source/dialog/selector.cxx 1.20.8.1
Comment 5 carsten.driesner 2006-10-26 10:10:12 UTC
cd: Verified. Patch checks references for validity.
Comment 6 pb 2007-01-29 08:53:07 UTC
pb: integrated in m193 -> closed.